Subject: Forced HW_BREAKPOINT

From: [email-masked] (Will Deacon)
Date: Thu, 2 Dec 2010 09:37:43 -0000

> > Please can you try this patch?
> >
> [...]
> >
> >
> > This should cause the hw_breakpoint stuff to give up if monitor-mode
> > cannot be enabled.
> 
> Could we also scale down the WARN_ONs in enable_monitor_mode?

That was my next step, I just wanted to make sure that those
changes allow you to get to a prompt (since I don't have any
1176 hardware). I have a bunch of changes pending in this area
so I'll add this to the stack.

Will